<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.business.mapper.ShopMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="shopResultMap" type="org.springblade.modules.business.entity.Shop">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="store_name" property="storeName"/>
        <result column="store_image" property="storeImage"/>
        <result column="address" property="address"/>
        <result column="longitude" property="longitude"/>
        <result column="latitude" property="latitude"/>
        <result column="merchant_id" property="merchantId"/>
        <result column="manager_name" property="managerName"/>
        <result column="manager_phone" property="managerPhone"/>
        <result column="business_status" property="businessStatus"/>
        <result column="business_licence" property="businessLicence"/>
        <result column="opening_hours" property="openingHours"/>
        <result column="closing_hours" property="closingHours"/>
    </resultMap>


    <select id="selectShopPage" resultMap="shopResultMap">
        select * from t_shop where is_delete = 0
    </select>

</mapper>
